<!DOCTYPE html>
<html>
<head>
  <title>Your Application</title>
  <%= csrf_meta_tag %>
  <%= csp_meta_tag %>
  <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
  <%= javascript_importmap_tags %>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css">
  
</head>
<body style="background-color: LightGray;">
  <div class="pt-5">
    <nav class="navbar navbar-expand-lg navbar-light fixed-top bg-light p-2 px-5">
      <a class="navbar-brand" href="#">
        <%= image_tag("Logo.svg", alt: "Logo Image", style: "height: 40px;") %>
      </a>
      <div class="collapse navbar-collapse justify-content-end px-3" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item"><button type="button" class="btn btn-outline-secondary mx-1"><i class="fa fa-line-chart px-1" aria-hidden="true"></i>Faturamento</button></li>
            <li class="nav-item"><button type="button" class="btn btn-outline-secondary mx-1"><i class="fa fa-cubes px-1" aria-hidden="true"></i>Estoque</button></li>
            <li class="nav-item"><button type="button" class="btn btn-outline-secondary mx-1"><i class="fa fa-coffee px-1" aria-hidden="true"></i>Monitoramento</button></li>
        </ul>
      </div>
      <span class="navbar-text">
        <i class="fa fa-user" style="cursor: pointer;" onclick="toggleDrawer()"></i>
      </span>
    </nav>
  </div>

    <!-- Bottom Navbar for mobile -->
  <nav class="navbar navbar-light bg-light fixed-bottom d-lg-none">
    <div class="container-fluid justify-content-around">
      <button class="btn btn-outline-secondary border-0 p-2">
        <div class="row h5">
          <i class="fa fa-line-chart" aria-hidden="true"></i>
        </div>
        <div class="row">
          <small>Faturamento</small>
        </div>
      </button>
      <button class="btn btn-outline-secondary border-0 p-2">
        <div class="row h5">
          <i class="fa fa-cubes" aria-hidden="true"></i>
        </div>
        <div class="row">
          <small>Estoque</small>
        </div>
      </button>
      <button class="btn btn-outline-secondary border-0 p-2">
        <div class="row h5">
          <i class="fa fa-coffee" aria-hidden="true"></i>
        </div>
        <div class="row">
          <small>Monitoramento</small>
        </div>
      </button>
    </div>
  </nav>

  <div class="offcanvas offcanvas-end" tabindex="-1" id="userDrawer" aria-labelledby="userDrawerLabel">
    <div class="offcanvas-header">
      <h5 class="offcanvas-title" id="userDrawerLabel">[Usuario Logado]</h5>
        <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body">
      <ul class="nav flex-column">
        <li class="nav-item"><a href="#" class="nav-link" data-bs-toggle="modal" data-bs-target="#profileModal">Perfil</a></li>
        <li class="nav-item"><a href="#" class="nav-link">Sair</a></li>
      </ul>
    </div>
  </div>

  <div class="modal fade" id="profileModal" tabindex="-1" aria-labelledby="profileModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="profileModalLabel">Perfil do Usuário</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          Informações do Perfil...
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
        </div>
      </div>
    </div>
  </div>

  <%= yield %>

  <script>
    function toggleDrawer() {
      var bsOffcanvas = new bootstrap.Offcanvas(document.getElementById('userDrawer'));
      bsOffcanvas.toggle();
    }
  </script>

  <!-- Scripts -->
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
  
</body>
</html>
